package com.trade.service.trade.salesorder.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.trade.salesorder.domain.CustomsDeclaration;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationDtlVO;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationSearch;
import com.trade.service.trade.salesorder.vo.CustomsDeclarationVO;
import com.trade.service.trade.salesorder.vo.SalesOrder4CustomsDeclarationVO;

import java.util.List;

/**
 * <p>
 * 报关单信息 Mapper 接口
 * </p>
 *
 * @author zhangchenm
 * @since 2024-09-19
 */
public interface CustomsDeclarationMapper extends BaseMapper<CustomsDeclaration> {

    List<SalesOrder4CustomsDeclarationVO> queryOrderNo4UpdateCustomsDeclaration();

    List<CustomsDeclarationVO> queryListBySearch(CustomsDeclarationSearch search);

    CustomsDeclarationDtlVO getDetailById(Long id);
}
